Retire

Retire Seed

post

Set the seed status to retired

Path parameters
seedIdstring · uuidRequired
Body
retiredAtstring · date-timeOptional

When the seed should be retired. Should be a UTC date in the future. If not input is provided it will default to UTC now. This operation will fail if the seed has already been retired.

Responses
chevron-right
200

OK

application/json
idstring · uuidRead-onlyOptional
typestring · enumRead-onlyOptionalPossible values:
contentTypestring · nullableOptional

Type of content generated from AI

contentKeywordsstring[] · nullableOptional

List of content keywords to use for generative AI

slugstringRead-onlyOptionalExample: yellow-jump-magicPattern: ^[a-z]+-[a-z]+-[0-9]+$
domainstring · hostnameRead-onlyOptional
descriptionstring · nullableOptional

Generic freetext user entered description

plantedDescriptionstring · nullableRead-onlyOptional

Human readable description of where this seed has been planted.

plantedLocationstring · nullableRead-onlyOptional

Where the seed has been planted

plantedMethodIdstring · nullableRead-onlyOptional

The Integration ID used by deployment to plant this seed

muteNotificationsUntilstring · date-time · nullableOptional

The date until which notifications for events related to this seed will be muted. The date has to be in the future, otherwise the operation will result in an error

statusstring · enumRead-onlyOptionalPossible values:
lockedbooleanRead-onlyOptional
eventCountnumber · nullableOptional
seedImpactnumber · min: 1 · max: 5Optional

The impact of the seed on the target system

plantedAtstring · date-time · nullableRead-onlyOptional
plantedByTypestring · nullableRead-onlyOptional

The type of entity that created the seed

plantedByIdstring · uuid · nullableRead-onlyOptional

The ID of entity that created the seed

retiredAtstring · date-time · nullableRead-onlyOptional
retiredByTypestring · nullableRead-onlyOptional

The type of entity that created the seed

retiredByIdstring · uuid · nullableRead-onlyOptional

The ID of entity that created the seed

createdByTypestringRead-onlyOptional

The type of entity that created the seed

createdByIdstring · uuidRead-onlyOptional

The ID of entity that created the seed

createdAtstring · date-timeRead-onlyOptional
downloadedByTypestring · nullableRead-onlyOptional

The type of entity that downloaded the seed

downloadedByIdstring · uuid · nullableRead-onlyOptional

The ID of entity that downloaded the seed

downloadedAtstring · date-timeRead-onlyOptional
deploymentIdstring · uuidRead-onlyOptional

The ID of the deployment which planted the Seed

updatedAtstring · date-timeRead-onlyOptional
externalIdentifierstringRead-onlyOptional
post
/seeds/{seedId}/retire
200

OK